/* hellovilag2.c – A "Hello Vilag!" szoveget az aktualis
   konyvtar hello allomanyaba irja. */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>

int main(void)
{
  int fd;

  /* Megnyitja az allomanyt, letrehozza, ha nem letezik,
     es torli a tartalmat. */
  if((fd = open("hello", O_CREAT|O_TRUNC|O_WRONLY, 0644)) < 0)
  {
    perror("open");
    return 1;
  }
  
  /* 13 karaktert, a szoveget, kiirjuk az allomanyba. */
  if(write(fd, "Hello Vilag!\n", 13) != 13)
  {
    perror("write");
    return 1;
  }
  
  close(fd);
  return 0;
}

