#include <signal.h>
#include <unistd.h>
#include <stdio.h>

int main()
{
	sigset_t alarmMask, fullMask;

	sigemptyset(&alarmMask);
	sigaddset(&alarmMask, SIGALRM);
	
	// Az osszes jelzes letiltása
	sigfillset(&fullMask);
        sigprocmask(SIG_BLOCK, &fullMask, NULL);

	alarm(10); // 10 masodperc múlva SIGALRM jelzés
	
	sigwaitinfo(&fullMask, NULL);

	printf("Megerkezett\n");

	return(alarm(0)); // Kikapcsoljuk az idozitot
}

