/* common.h - A kozos header allomany. */

#define SEM_MAX_IN_SET   3
#define SEM_RESOURCE_INIT 1

#if defined(__GNU_LIBRARY__) && !defined(_SEM_SEMUN_UNDEFINED)
/* A semun struktura a <sys/sem.h> allomanyban van definialva. */
#else
union semun
{
  int val;                    /* a SETVAL erteke */
  struct semid_ds *buf;       /* buffer az IPC_STAT, IPC_SET muveleteknek */
  unsigned short int *array;  /* tomb a GETALL, SETALL muveleteknek */
  struct seminfo *__buf;      /* buffer az IPC_INFO muveletnek */
};
#endif
