/* fifo.cpp - C++ pelda tobbszalu FIFO hasznalatara. */

#include <unistd.h>
#include <iostream>
#include "fifo.h"

#include <pthread.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include "thread.h"
using namespace std;



class FifoThread: public Thread
{
	int start; // Ettol szamolunk
	int end;   // Eddig
	
	static Fifo<int> sharedFifo;

public:
	FifoThread(int start, int end):start(start), end(end){}
	void ThreadMain()
	{
		
		for(int i=start; i<=end; i++)
  		{
    			sharedFifo.push(i);
			cout<< i <<" pushed" << endl;
    			sleep(1);
		}
		sleep(1);
		for(int i=start; i<=end; i++)
  		{
    			int a;
    			if(sharedFifo.pop(a) == 0)
    			{
      				cout<<a<<endl;
				sleep(1);
			}
    		}
 
  	}

};

Fifo<int> FifoThread::sharedFifo;

int main()
{
  FifoThread t1(0,5), t2(10, 15);
  t1.Start();
  t2.Start();
  t1.Join();
  t2.Join();
  return 0;
}
