/* fork1.c - Pelda a fork() hasznalatara. */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main()
{
  int pid;
 
  printf("A program inditasa...\n\n");
  pid=fork();

  if(pid<0)
  {
    printf("fork() hiba.\n\n");
    exit(-1);
  }
  if(pid==0)
  {
    /* A gyermek folyamat - pid 0 */
    printf("Gyerek folyamat. PID: %d "
           "fork() visszateresi ertek: %d\n", getpid(), pid);
  }
  else
  {
    /* A szulo folyamat - a pid valtozo a gyermek folyamat 
       azonositoja.*/
    printf("Szulo folyamat. PID: %d "
           "fork() visszateresi ertek: %d\n", getpid(), pid);
  }

  return 0;
}
