/* whoami.c - Pelda a felhasznaloi nev adatbazis hasznalatara. */

#include <stdio.h>
#include <unistd.h>
#include <pwd.h>
#include <sys/types.h>

int main()
{
  struct passwd *pw;
  uid_t id;

  /* Lekerdezzuk a sajat azonositonkat. */
  id=getuid();

  /* Lekerdezzuk a felhasznaloi adatokat. */
  pw=getpwuid(id);
  if(pw == NULL)
  {
    printf("Ismeretlen\n");
    return 1;
  }
  printf("%s\n", pw->pw_name);

  return 0;
} 
