#ifndef CHATSERVER_H
#define CHATSERVER_H

#include <QtCore>
#include <QtNetwork/QTcpServer>
#include <QtNetwork/QTcpSocket>

class ChatServer : public QObject
{
    Q_OBJECT
public:
    explicit ChatServer(QObject *parent = 0);

signals:

public slots:
    void newConnection();
    void textReceived();

private:
    QTcpServer * tcpServer;
    QList<QTcpSocket *> * clientSockets;
};

#endif // CHATSERVER_H
