#ifndef CONTACTDIALOG_H
#define CONTACTDIALOG_H

#include <QtGui>

class ContactDialog : public QDialog
{
    Q_OBJECT
public:
    ContactDialog(QWidget *parent = 0);

    QString getName();
    QString getEmail();

private:
    QGroupBox *group;
    QLabel *lblName;
    QLabel *lblEmail;
    QLineEdit *txtName;
    QLineEdit *txtEmail;
    QGridLayout *grid;
    QVBoxLayout *mainLayout;
    QHBoxLayout *buttonLayout;

    QPushButton *btnOk;
    QPushButton *btnCancel;
};

#endif // CONTACTDIALOG_H
