#include "tableview.h"

TableView::TableView(QWidget *parent) :
    View(parent)
{
    layout = new QVBoxLayout;
    this->setLayout(layout);

    list = new QListWidget;
    layout->addWidget(list);

    list->setMinimumSize(100, 200);

}

void TableView::updateView(){
    list->clear();
    QList<double> * state = document->getState();
    QListIterator<double> iterator(*state);
    while (iterator.hasNext())
    {
        double value= iterator.next();
        list->addItem(QString::number(value));
    }
}
