#include "resultwindow.h"

ResultWindow::ResultWindow(QWidget *parent) :
    QWidget(parent)
{
    layout = new QVBoxLayout;

    lblTask = new QLabel("12 + 13 = ?");
    layout->addWidget(lblTask);

    btnCompute= new QPushButton("Szmts");
    layout->addWidget(btnCompute);

    lblResult = new QLabel;
    layout->addWidget(lblResult);

    this->setLayout(layout);

    connect(btnCompute, SIGNAL(clicked()), this, SLOT(buttonClicked()));
}

void ResultWindow::buttonClicked()
{
    emit startComputing(12, 13);
}

void ResultWindow::resultComputed(int result){
    lblResult->setText(QString::number(result));
}




