/* hellotimer.c 
 *
 * Időzítő használatát bemutató modul.
 * 
 */

#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>
#include <linux/timer.h>

struct timer_list mytimer;
unsigned int counter = 0;

void mytimerfv(unsigned long data)
{
  counter++;
  printk("idozito: %u\n", counter);

  mod_timer(&mytimer, jiffies + HZ);
}

static int __init hello_init(void)
{
  setup_timer(&mytimer, mytimerfv, 0);
  mytimer.expires = jiffies + HZ;
  add_timer(&mytimer);

  return 0;
}

static void __exit hello_exit(void)
{
  del_timer_sync(&mytimer);
}

module_init(hello_init);
module_exit(hello_exit);

MODULE_DESCRIPTION("Hello idozito");
MODULE_LICENSE("GPL");
