/* mmap-test.c
 * 
 * Az adv-driver eszközmeghajtó tesztelésére szolgáló program.
 * 
 */

#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <fcntl.h>

int main(int argc, char* argv[])
{
  int fd;
  char* mem;
  int res;
  
  if(argc != 2)
  {
    fprintf(stderr, "Hasznalat: %s <allomany>\n", argv[0]);
    return 1;
  }
  
  if((fd = open(argv[1], O_RDONLY)) < 0)
  {
    perror("open");
    return 1;
  }

  if((mem = mmap(0, 27, PROT_READ, MAP_SHARED, fd, 0)) == (void*)-1)
  {
    perror("mmap");
    return 1;
  }

  res = write(STDOUT_FILENO, mem, 256);

  return 0;
}
