#ifndef CHATCLIENTWINDOW_H
#define CHATCLIENTWINDOW_H

#include <QWidget>
#include <QtGui>
#include <QtNetwork>

class ChatClientWindow : public QWidget
{
    Q_OBJECT
public:
    explicit ChatClientWindow(QWidget *parent = 0);

signals:

public slots:
    void sendText();
    void hostConnected();
    void socketReadyRead();

private:
    QVBoxLayout * vLayout;
    QHBoxLayout * hLayout;
    QTextEdit * txtChatHistory;
    QLineEdit * txtInput;
    QLabel * lblText;
    QPushButton * btnSend;

    QTcpSocket * socket;
};

#endif // CHATCLIENTWINDOW_H
