#include "contactdialog.h"

ContactDialog::ContactDialog(QWidget *parent) :
    QDialog(parent)
{
    this->setWindowTitle(tr("j bejegyzs"));

    group = new QGroupBox(tr("Adatok"));
    lblName = new QLabel(tr("Nv:"));
    lblEmail = new QLabel(tr("E-mail:"));
    txtName = new QLineEdit();
    txtEmail = new QLineEdit();

    grid = new QGridLayout;
    grid->addWidget(lblName, 0, 0);
    grid->addWidget(txtName, 0, 1);
    grid->addWidget(lblEmail, 1, 0);
    grid->addWidget(txtEmail, 1, 1);
    group->setLayout(grid);

    btnOk = new QPushButton(tr("Rendben"));
    btnCancel = new QPushButton(tr("Mgsem"));
    buttonLayout = new QHBoxLayout;
    buttonLayout->addStretch();
    buttonLayout->addWidget(btnOk);
    buttonLayout->addWidget(btnCancel);

    mainLayout = new QVBoxLayout;
    this->setLayout(mainLayout);
    mainLayout->addWidget(group);
    mainLayout->addStretch();
    mainLayout->addLayout(buttonLayout);

    connect(btnOk, SIGNAL(clicked()), this, SLOT(accept()));
    connect(btnCancel, SIGNAL(clicked()), this, SLOT(reject()));
}

QString ContactDialog::getName(){
    return txtName->text();
}

QString ContactDialog::getEmail(){
    return txtEmail->text();
}
