#ifndef CONTACTSWINDOW_H
#define CONTACTSWINDOW_H

#include <QtGui>
#include "contactdialog.h"
#include "searchdialog.h"

class ContactsWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit ContactsWindow(QWidget *parent = 0);

signals:

public slots:
    void addNewContact();
    void updateStatusText();
    void search(QString expression);
    void showSearch();

protected:
    void closeEvent(QCloseEvent *event);

private:
    QAction *exitAction;
    QAction *newContactAction;
    QAction *showSearchAction;
    QMenu *fileMenu;
    QTableWidget * table;
    SearchDialog * searchDialog;
};

#endif // CONTACTSWINDOW_H
