#ifndef CUSTOMWIDGET_H
#define CUSTOMWIDGET_H

#include <QtGui>

class CustomWidget : public QWidget
{
    Q_OBJECT
public:
    explicit CustomWidget(QWidget *parent = 0);

    enum Shape { Rectangle, Ellipse };

    QSize sizeHint() const;

signals:
    void shapeChanged(int newShape);

protected:
    void mousePressEvent(QMouseEvent *event);
    void paintEvent(QPaintEvent *event);

private:
    int currentShape;
};

#endif // CUSTOMWIDGET_H
