#include <QtCore>
#include <iostream>
#include <QDebug>
#include <QtSql>

int main()
{
    QSqlDatabase db = QSqlDatabase::addDatabase("QMYSQL");
    db.setHostName("localhost");
    db.setDatabaseName("qtDatabase");
    db.setUserName("dbUser");
    db.setPassword("passw");

    if (!db.open())
    {
        qDebug() << "Cannot connect to database...";
        qDebug() << db.lastError();
        return 1;
    }

    QSqlQuery selectQuery;
    if (!selectQuery.exec("select * from Book"))
    {
        qDebug() << "Error with executing query";
    }

    while (selectQuery.next())
    {
        QString title = selectQuery.value(1).toString();
        QString author = selectQuery.value(2).toString();
        qDebug() << author << ": " << title;
    }

    db.close();

    return 0;
}

