#ifndef DATASOURCE_H
#define DATASOURCE_H

#include <QtGui>
#include "document.h"

class Document;

class DataSource : public QObject
{
    Q_OBJECT
public:
    explicit DataSource(QObject *parent = 0);

    void setDocument(Document * doc);
signals:
    void dataReceived(double data);

public slots:
    void timerTimedOut();
    void stopTimer();


private:
    Document *document;
    QTimer * timer;
};

#endif // DATASOURCE_H
