#ifndef DOCUMENTWINDOW_H
#define DOCUMENTWINDOW_H

#include <QtGui>
#include "document.h"
#include "datasource.h"

class Document;
class View;
class DataSource;

class DocumentWindow : public QWidget
{
    Q_OBJECT
public:
    explicit DocumentWindow(QWidget *parent = 0);

    void setDocument(Document * doc);
    void setDataSource(DataSource * source);
    DataSource * getDataSource();
    void addView(View* view);
    Document * getDocument();
signals:

public slots:

private:
    Document * document;
private:
    QHBoxLayout * layout;
    DataSource * source;
};

#endif // DOCUMENTWINDOW_H
