#ifndef MDIMAINWINDOW_H
#define MDIMAINWINDOW_H

#include <QtGui>
#include "document.h"

class MDIMainWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit MDIMainWindow(QWidget *parent = 0);

signals:

public slots:
    void  open();
    void save();
    void attachSource();

private:
    QMdiArea * mdiArea;
    QToolBar * fileToolbar;
    QMenu *fileMenu;

    QAction * exitAction;
    QAction * openDocumentAction;
    QAction * saveDocumentAction;
    QAction * attachDataSourceAction;

    QList<Document*> * documents;
};

#endif // MDIMAINWINDOW_H
