#include "calculatorthread.h"
#include "resultwindow.h"
#include <QtCore>
#include <QtGui>

int main(int argc, char * argv[])
{
    QApplication app(argc, argv);

    ResultWindow * window = new ResultWindow;
    CalculatorThread * thread = new CalculatorThread;

    QObject::connect(window, SIGNAL(startComputing(int,int)), thread, SLOT(startComputing(int,int)));
    QObject::connect(thread, SIGNAL(resultComputed(int)), window, SLOT(resultComputed(int)));

    thread->start();
    window->show();

    return app.exec();
}
