#ifndef RESULTWINDOW_H
#define RESULTWINDOW_H

#include <QtGui>


class ResultWindow : public QWidget
{
    Q_OBJECT
public:
    explicit ResultWindow(QWidget *parent = 0);

signals:
    void startComputing(int a, int b);

public slots:
    void resultComputed(int result);

private slots:
    void buttonClicked();

private:
    QLabel * lblTask;
    QPushButton * btnCompute;
    QLabel * lblResult;
    QVBoxLayout * layout;
};

#endif // RESULTWINDOW_H
