/* hibas2.c
 * 
 * Hibás program a memóriakezelési hibák teszteléséhez és felderítéséhez.
 * 
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char global[5];

int main(int argc, char* argv[])
{
  char lokal[5];
  char* dinamikus;
  int cmd;
  
  if(argc < 2)
  {
    fprintf(stderr, "Hasznalat: %s 1..9\n", argv[0]);
    return -1;
  }
  cmd = atoi(argv[1]);

  switch(cmd)
  {
    case 1:
      // tuliras (kicsi)
      dinamikus = malloc(5);
      strcpy(dinamikus, "12345");
      printf("1. %s\n", dinamikus);
      free(dinamikus);
      break;
      
    case 2:
      // tuliras (nagy)
      dinamikus = malloc(5);
      strcpy(dinamikus, "123456789");
      printf("2. %s\n", dinamikus);
      free(dinamikus);
      break;
      
    case 3:
      // eleiras
      dinamikus = malloc(5);
      strcpy(dinamikus - 1, "12345");
      printf("3. %s\n", dinamikus);
      free(dinamikus);
      break;
      
    case 4:
      // felszabaditott terulet irasa
      dinamikus = malloc(5);
      free(dinamikus);
      strcpy(dinamikus, "1234");
      printf("4. %s\n", dinamikus);
      break;
      
    case 5:
      // memoria szivargas
      dinamikus = malloc(5);
      strcpy(dinamikus, "1234");
      printf("5. %s\n", dinamikus);
      break;
      
    case 6:
      // lokalis tulirasa
      strcpy(lokal, "12345");
      printf("6. %s\n", lokal);
      break;
      
    case 7:
      // lokalis eleiras
      strcpy(lokal - 1, "12345");
      printf("7. %s\n", lokal);
      break;
      
    case 8:
      // globalis tulirasa
      strcpy(global, "12345");
      printf("8. %s\n", global);
      break;
      
    case 9:
      // globalis eleiras
      strcpy(global - 1, "12345");
      printf("9. %s\n", global);
      break;
      
    default:
      fprintf(stderr, "Hasznalat: %s 1..9\n", argv[0]);
      return -1;
  }

  return 0;
}
